## Process this file with automake to produce Makefile.in

## Copyright (C) 2002, 2003, 2004, 2005 Joost van Baal
## 
##     This program is free software; you can redistribute it and/or modify
##     it under the terms of the GNU General Public License as published by
##     the Free Software Foundation; either version 2 of the License, or
##     (at your option) any later version.
## 
##     This program is distributed in the hope that it will be useful,
##     but WITHOUT ANY WARRANTY; without even the implied warranty of
##     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##     GNU General Public License for more details.
## 
##     You should have received a copy of the GNU General Public License
##     along with this program (see COPYING); if not, check with
##     http://www.gnu.org/copyleft/gpl.html or write to the Free Software 
##     Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111, USA.

AUTOMAKE_OPTIONS = dist-xz check-news

## See bootstrap for notes on svn2cl
$(top_srcdir)/ChangeLog: $(top_srcdir)/NEWS
#	# svn update; svn2cl --include-rev
	git2cl >$@

$(top_srcdir)/VERSION.m4 $(top_srcdir)/stamp.year $(top_srcdir)/stamp.month $(top_srcdir)/stamp.day: $(top_srcdir)/ChangeLog
	$(top_srcdir)/setversion

CONFIGURE_DEPENDENCIES = $(top_srcdir)/VERSION.m4

VERSION = @VERSION@

SUBDIRS = doc etc lib man script contrib

docdir = $(datadir)/doc/$(PACKAGE)
doc_DATA = AUTHORS COPYING ChangeLog LICENSE NEWS README THANKS TODO


## local targets
MY_RHOST= beskar.mdcc.cx
MY_RDIR = $(MY_RHOST):www/mdcc.cx/pub/systraq/

sign: distcheck
	list='$(DIST_ARCHIVES)'; for i in $$list; do echo "gpg --armor --detach-sign $$i"; gpg --armor --detach-sign $$i; done

publish: sign
	list='$(DIST_ARCHIVES)'; for i in $$list; do echo "scp $$i $$i.asc $(MY_RDIR)"; scp $$i $$i.asc $(MY_RDIR); done
	ssh $(MY_RHOST) ./bin/update-tar-symlinks systraq


## Only files from the current directory or from subdirectory which
## don't have their own Makefile.am should be listed here.
EXTRA_DIST = \
   bootstrap \
   LICENSE \
   man.ent \
   man.ent.i \
   setversion \
   stamp.year \
   stamp.month \
   stamp.day \
   VERSION.m4

.PHONY: publish sign
